Subject: Re: Exim, .forward and DBD::Oracle
From: "Dmitry Melekhov" <[email-masked]>
To: "Harald Maier" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 12 Apr 2003 19:35:22 +0400

----- Original Message -----
From: <[email-masked]>
To: "Dmitry Melekhov" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, April 12, 2003 3:02 PM
Subject: Re: Exim, .forward and DBD::Oracle

>
> "Dmitry Melekhov" <[email-masked]> writes:
>
> > #!/usr/bin/perl
> > $ENV{ORACLE_HOME}='c:\oracle\ora81';
>
> Setting the ORACLE_HOME variable inside the perl script seems to have
> no effect.
>
> Can you call your script as following:
>
>   $ ORACLE_HOME=c:/oracle/ora81 <this script>
>

Yes! Thank you!

I tried to set this as
  environment="ORACLE_HOME='c:\oracle\ora81'"
environment="ORACLE_HOME='c:\oracle\ora81'"
in pipe configuration in exim.conf, but this doesn't help. Well, situation
becomes differernt, I received  error:
DynaLoader::bootstrap for DBD::Oracle (auto/DBD/Oracle/Oracle.dll)
DBI connect('host=oracle.belkam.com;sid=TABEL','tabel',...) failed: Error
while trying to retrieve text for error ORA-12538 (DBD ERROR:
OCIServerAttach) at /home/tabel/test.pl line 11
Died at /home/tabel/test.pl line 11.

So I wrote shell script

#!/bin/sh
/bin/cat|ORACLE_HOME='c:\oracle\ora81' /home/tabel/test.pl

and call it from .forward. Hope that this (cat| .. ) will work.

And, I also added   pipe_as_creator=true
in exim.conf.
I don't know  why I need this ;-) but without this line nothing works too.
Currently I have no ability to find more- I worked from home today,
on 21600 (I hate russian phone companies, especially VolgaTelecom ;-) ).

Thank you!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/